[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.HasNoImage

Indicates if a valid image was provided in the constructor.

## Declaration

Source position: lazcanvas.pas line 116

`public TLazCanvas.HasNoImage : Boolean;`

## Description

HasNoImage is a Boolean member used to indicate if a valid TFPCustomImage was provided as an argument to the Create constructor. Used in the implementation of the UpdateControlLazImageAndCanvas routine for non-native custom drawn window controls.

## See also

TLazCanvas.Create |  | Constructor for the class instance.